/*
 * 全局信息配置
 * Author:wangqy
 * Date:2018-1-23 18:53
 */

//项目全局配置
var globel={
	//ctx:'http://192.168.2.168:8080/bbohu/',
	ctx:'http://car.sanfangzx.com/',
    token: sessionStorage.getItem("token")
}

//项目请求url配置
var apiconfig={
			   login:'f/api/login',
			   sendRegisterSms:'f/api/sendRegisterSms',
			   sendModifyPwdSms:'f/api/sendModifyPwdSms',
			   regist:'f/api/regist',
			   resetPassword:'f/api/resetPassword',
			   getUserCars:'f/api/car/list',
		       propaganda_url:'f/api/propaganda',//内容管理
		       propagandaByid:'f/api/noteById',
		       store_list_url:'f/api/storeInfo', //获取门店列表
		       selectProvince:'f/api/car/getProvince',
		       selectCity:'f/api/car/getCity',
		       saveCar:'f/api/car/save',
		       deleteCar:'f/api/car/delete',
		       getCarBrand:'f/api/car/getCarBrand',//车辆品牌
		       getCarInfo:'f/api/car/getCarInfo',//车辆信息
		       getStore:'f/api/getStoreInfoById',
		       getServiceType:'f/api/getServiceTypeById',
			   getStoreServiceItem:'f/api/car/getStoreServiceItem',//门店服务项
			   getAllStore:'f/api/car/getStore',//所有门店
			   saveMainTain:'f/api/car/saveMainTain',//保存保养记录
			   getMainTainLog:'f/api/car/getCarMaintainLog',//保养记录
			   getMainTainLogDetail:'f/api/car/getCarMaintainLogDetail',//保养记录详情
			   getCarSeries:'f/api/car/getCarSeries',//车辆系列
			   getCarYear:'f/api/car/getCarYear',//车辆年份
			   getCarModel:'f/api/car/getCarModel',//车辆年份
			   mine_url:'f/api/caruser/getCarUserInfoById',
			   setDefault:'f/api/car/setDefault',//设置车辆默认
			   mf_store:'f/api/selectMyfavorite', //查看收藏
			   mf_del:'f/api/deMyfavorite', //删除收藏
			   mf_add:'f/api/addMyfavorite',//添加收藏
			   map_flist:'f/api/getStoreInfoF',
			   save_complain:'f/api/saveComplain', //投诉
			   getComplainList:'f/api/getComplainList', //获取投诉列表
			   add_idea:'f/api/addIdea'  //添加评价
}

//项目html路径配置
var htmlconfig={
	           start:'star.html',//首页,
	           start2:'../star.html',//首页,
			   index:'../index.html',//主界面
			   index2:'index.html',//这界面
			   shop:'./html/shop.html',
			   forgetPassword:'../forget_password.html',//找回密码
			   register:'register.html',//注册
		       notice_list:'notice_list.html',//公告列表页
		       mdxq:'mdxq.html' ,//门店详情页面
		       notice_details:'detail.html',//公告详情页  
		       addCar:"../html/tjcl.html",//添加车辆页面
		       carManager:"clgl.html",//车辆管理
		       carDetail:"clda.html",//车辆详情
		       editCar:"xgcl.html",//车辆修改
		       showCarBrand:"clpp.html",//车辆品牌
		       login:"../html/login.html",//登录页面
		       byjl:"../html/byjl.html",//保养记录
		       byjltj:"../html/bytj.html",//保养添加
		       mdxz:"../html/mdxz.html",//门店选择
		       map_show:"../map.html",
		       mainTainLogDetail:"../html/byjlxq.html",//保养记录详情
		       wxjl:"../html/wxjl.html",//维修记录
		       wxjlxq:"../html/wxjlxq.html",//维修记录详情
		       gywm_url:"gywm.html",
		       setting_url:"setting.html",
		       showMyCar:"../html/wdck.html",
		       clpp:"/html/clpp.html",
		       sclb:"sclb.html"
}

var wxshare={
	
}


var vm = new Vue({
  el: '#AppMain',
  data: {
     htmlconfig:htmlconfig
  }
});

//定义空对象用于数据传递
var message_model={
	imageUrl:''
};

//获取地址栏参数
function GetQueryString(name){
     var reg = new RegExp("(^|&)"+ name +"=([^&]*)(&|$)");
     var r = window.location.search.substr(1).match(reg);
     if(r!=null)return  decodeURI(r[2]); 
     return null;
}

Vue.prototype.successLoadImg = function(event) {
    if (event.target.complete == true) {
       // imgCenterByObj(event.target);
    }
};
		
Vue.prototype.errorLoadImg = function(event) {
  event.target.classList.add("default-image");;
};

function getItem(key){
	return plus.storage.getItem(key);
}

function setItem(key,value){
	plus.storage.setItem(key,value);
}

function removeItem(key){
	plus.storage.removeItem(key);
}

function clearItems(){
	plus.storage.clear();
}

function percentFinal(car){
	var count = 0;
//	var provinceName = car.carUser.provinceName;
//	if(provinceName){++count;}
//	var cityName = car.carUser.cityName;
//	if(cityName){++count;}
	var carNumber = car.carNumber;
	if(carNumber){++count;}
	var carBase = car.carBase;
	if(carBase){++count;}
	var carBaseEx = car.carBaseEx;
	if(carBaseEx){++count;}
	var runDistance = car.runDistance;
	if(runDistance){++count;}
	var carMoney = car.carMoney;
	if(carMoney){++count;}
	var carRegeditDate = car.carRegeditDate;
	if(carRegeditDate){++count;}
	var carInsuranceDate = car.carInsuranceDate;
	if(carInsuranceDate){++count;}
	var carColor = car.carColor;
	if(carColor){++count;}
	//当前字段数量为10,所以简单计算百分比
	var result = (count / 8) * 100;
	return result;
}

/*验证车牌号*/
function isVehicleNumber(vehicleNumber) {
      var result = false;
      if (vehicleNumber.length == 7){
        var express = /^[京津沪渝冀豫云辽黑湘皖鲁新苏浙赣鄂桂甘晋蒙陕吉闽贵粤青藏川宁琼使领A-Z]{1}[A-Z]{1}[A-Z0-9]{4}[A-Z0-9挂学警港澳]{1}$/;
        result = express.test(vehicleNumber);
      }
      return result;
  }
/*验证车牌号end*/